<!--Strana za registrovanje-->
<!DOCTYPE html>
<html>
    <body>
        <div class="hero">
            
            <div class="title-box">
                <h1>Find your jam</h1>
            </div>
            <div class="form-box">
                <div class="button-box">
                    <div id="btn"></div>
                    <button type="button" class="toggle-btn" (click)="login()">Log in</button>
                    <button type="button" class="toggle-btn" (click)="signup()">Sign up</button>
                </div>

                <!--Forma za logovanje [routerLink] = "['/search']" -->
                <form id="login" class="input-group" [formGroup]="logInForm" (ngSubmit)="submitLogin(logInForm.value)">
                    <input type="text" name="logUsername" class="input-field" formControlName="username"  placeholder="username" autocomplete="off" required #userLog>
                    <p class="error-msg" *ngIf="!logInUsername">Username is not valid</p>

                    <input type="password" name="logPassword" class="input-field" formControlName="password" placeholder="password" required>
                    <p class="error-msg" *ngIf="!logInPassword">Password is not valid</p>

                    <button type="submit" [disabled]="!logInForm.valid" class="submit-btn">Log in</button>
                </form>

                <!--Forma za sign up-ovanje -->
                <form id="signup" class="input-group" name="signup" [formGroup]="signUpForm" (ngSubmit)="submitSign(signUpForm.value)" target="_self">
                    <input type="text" name="signUsername"  formControlName="username" class="input-field" placeholder="username" autocomplete="off" required #userSign>
                    <p class="error-msg" *ngIf="!signUpUsername">Username already exists</p>

                    <input type="email" name="signEmail"  formControlName="email"  class="input-field" placeholder="email" autocomplete="off" required>
                    <p class="error-msg" *ngIf="!signUpEmail">E-mail already exists</p>
                    <p class="error-msg" *ngIf="signEmail().errors?.email">E-mail is not valid</p>

                    <input type="password" name="signPassword" formControlName="password" class="input-field" placeholder="password" required>
                    <p class="error-msg" *ngIf="signPassword().errors?.minlength">Password must be at least 5 characters long</p>
                    <button type="submit" class="submit-btn"  [disabled]="!signUpForm.valid">Sign up</button>
                </form>
                
            </div>
            
        </div>
    </body>
</html>